Bug 5503 - Samba 3.2.0-rc1 client tools
Samba 3.2.0-rc1 client tools
Status: NEW
Product: Samba 3.2
Classification: Unclassified
Component: Client tools
3.2.0
x86 Linux
: P3 major
: ---
Assigned To: Jeremy Allison
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-30 03:26 UTC by Bartosz Jaskiewicz
Modified: 2009-05-13 05:02 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bartosz Jaskiewicz 2008-05-30 03:26:28 UTC
I've compile samba 3.2.0-rc1 on Debian box running release 4.0r3. Everything go well, no errors, deamons starts. When I try to logon thru ::1 (ip6 lo) it works, when try to do that with eth0 its ok, I can see all resources, But when I use same smbclient 3.2.0-rc1 on diffrent linux box running same OS and same ver of samba, tools I get NT_STATUS_INVALID_HANDLE.

The second linux box can logon when running samba on it, netstat -a -n -l shows that ports 139 and 445 are in ipv6. I can ping both linux.

Windows Vista have no such problem related to ipv6, the error inflicts only linux client tools.
Comment 1 Simo Sorce 2008-07-12 22:24:32 UTC
Does this still happen with 3.2.0 final ?
Comment 2 Bartosz Jaskiewicz 2008-07-13 14:09:43 UTC
I will check it in this week and give you answer of my test.
Comment 3 Bartosz Jaskiewicz 2008-07-15 14:57:30 UTC
Hi,
the problem also exists in final version. I've check vista and it works, smbclient still give me error.

Best regards